.btn-primary {
  display: inline-block;
  margin: 0 auto;
  justify-content: center;
  align-self: center;
  background: var(--y-secondary);
  font-family: var(--y-font-family);
  color: #fff;
  font-size: 2rem;
  font-weight: 600;
  padding: 0.3rem 2rem;
  border-radius: 30px;
  text-decoration: none;
  transition: background 0.3s ease, transform 0.2s ease;
  border: 2px solid var(--y-secondary);
  cursor: pointer;
}

.btn-primary:hover {
  background: var(--y-main);
  border: 2px solid var(--y-main);
  transform: translateY(-3px);
}
@media (max-width: 820px) {
  .btn-primary {
    font-size: min(2.5rem, 5vw);
    border-radius: 40px;
  }
}
